//
//  CoreData.h
//  LoadContentDemo
//
//  Created by Brian Halpin on 23/11/2012.
//  Copyright (c) 2012 Brian Halpin. All rights reserved.
//

#import <Foundation/Foundation.h>

@interface CoreData : NSObject

+ (NSPredicate *)predicateForField:(NSString *)field withValue:(NSString *)value;

- (NSArray *)fetchAllResultsFromCoreData;
- (NSArray *)fetchResultsFromCoreDataUsingPredicate:(NSPredicate *)predicate;

- (void)persistArrayOfDictionaries:(NSArray *)arrayOfDictionaries forEntityName:(NSString *)entityName;


@end
